Index: mklist.f
===================================================================
--- mklist.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ mklist.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,32 +1,32 @@
-c **************************************************************
-c
-c This file contains the subroutines: mklist,quench
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: mklist,quench
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       subroutine mklist(nml)
 
-c ......................................................................
-c PURPOSE: Compile interaction lists ('1-4' according to Scheraga)
-c
-c CALLS: quench
-c ......................................................................
-c TODO: Calculate van-der-Waals regions over all molecules.
+! ......................................................................
+! PURPOSE: Compile interaction lists ('1-4' according to Scheraga)
+!
+! CALLS: quench
+! ......................................................................
+! TODO: Calculate van-der-Waals regions over all molecules.
       include 'INCL.H'
 
       parameter (mxh=50,         ! max. # of atom regions
-     #           mx2=50)
+     &           mx2=50)
 
       logical ovlp,quench
 
       dimension l1st1(mxh),l1st2(mxh),l2nd1(mxh),l2nd2(mxh)
-     #         ,l1i(mxbd),l2i(mx2)
-
-c _______________________ indices of 1st vdw-region/14-partner for 'nml'
+     &         ,l1i(mxbd),l2i(mx2)
+
+! _______________________ indices of 1st vdw-region/14-partner for 'nml'
       if (nml.eq.1) then
         ivwml1(1)=1
@@ -40,5 +40,5 @@
       if (ntlms.eq.0) then
         write (*,'(a,i4)')
-     #           ' mklist> No mov. sets defined in molecule #',nml
+     &           ' mklist> No mov. sets defined in molecule #',nml
         nvwml(nml)=0
         n14ml(nml)=0
@@ -48,13 +48,13 @@
       nvw=ivwml1(nml)-1     ! # of vdw-regions we have so far
       n14=i14ml1(nml)-1     ! # of 14-partners      -"-
-c First atom in molecule
+! First atom in molecule
       ifiat=iatrs1(irsml1(nml))
-c Last atom in molecule
+! Last atom in molecule
       ilaat=iatrs2(irsml2(nml))
-c First variable in molecule
+! First variable in molecule
       ifivr=ivrml1(nml)
-c Last variable in molecule
+! Last variable in molecule
       ilavr=ifivr+nvrml(nml)-1
-c ____________________________ initialize: 1st vdw-region & 14-partner per atom 
+! ____________________________ initialize: 1st vdw-region & 14-partner per atom 
       do i=ifiat,ilaat
         ivwat1(i)=0         !!!  for some atoms ...
@@ -74,9 +74,9 @@
         if ((i2s-i1s+1).gt.0) then
 
-c ____________ exclude mov.sets of var. 'iv' from 1ST list of interact.partn.
+! ____________ exclude mov.sets of var. 'iv' from 1ST list of interact.partn.
           do is=i1s,i2s
             ovlp=quench(latms1(is),latms2(is),n1st,mxh,l1st1,l1st2)
           enddo
-c _______________________________ intitialize 2ND list with current 1ST list
+! _______________________________ intitialize 2ND list with current 1ST list
           do i=1,n1st
             l2nd1(i)=l1st1(i)
@@ -84,5 +84,5 @@
           enddo
           n2nd=n1st
-c _________________________________ exclude 'ib' of var. 'iv' from 2ND list
+! _________________________________ exclude 'ib' of var. 'iv' from 2ND list
           ib=iowat(iatvr(iv))
           ovlp=quench(ib,ib,n2nd,mxh,l2nd1,l2nd2)
@@ -94,13 +94,13 @@
             ovlp=quench(iob,iob,n2nd,mxh,l2nd1,l2nd2) ! & in 2ND list
 
-c _____ atoms branching from 'iob': into GENERAL list of 1-4 partners
+! _____ atoms branching from 'iob': into GENERAL list of 1-4 partners
             do i=1,nbdat(iob)
               ibd=ibdat(i,iob)
               if (ibd.ne.ib.and.iowat(ibd).eq.iob.and.
-     #            quench(ibd,ibd,n2nd,mxh,l2nd1,l2nd2) ) then
+     &            quench(ibd,ibd,n2nd,mxh,l2nd1,l2nd2) ) then
                 n2i=n2i+1
                 if (n2i.gt.mx2) then
                   write (*,'(a,i3,2a)')  ' mklist> Molecule # ',nml,
-     #                ': too many atoms bound to ',nmat(iob)
+     &                ': too many atoms bound to ',nmat(iob)
                   stop
                 endif
@@ -108,6 +108,6 @@
               endif
             enddo  ! ... branches of 'iob'
-c ____________________________ check for further '1-4' partners
-c                              connected to branches 'l2i'
+! ____________________________ check for further '1-4' partners
+!                              connected to branches 'l2i'
             do i=1,n2i
               ia=l2i(i)
@@ -116,9 +116,9 @@
                 do j=latms1(im),latms2(im)
                   if (ia.ne.j.and.
-     #                quench(j,j,n2nd,mxh,l2nd1,l2nd2) ) then
+     &                quench(j,j,n2nd,mxh,l2nd1,l2nd2) ) then
                     n2i=n2i+1
                     if (n2i.gt.mx2) then
                       write (*,'(a,i3,a)')  ' mklist> Molecule # '
-     #                         ,nml,': too many atoms in list L2I'
+     &                         ,nml,': too many atoms in list L2I'
                       stop
                     endif
@@ -129,5 +129,5 @@
             enddo
 
-c ____ If 'iow(iob)' exists and in 2ND list: into GENERAL list of 1-4 partners
+! ____ If 'iow(iob)' exists and in 2ND list: into GENERAL list of 1-4 partners
             ioiob=iowat(iob)    !  existence of iow( iow(base) )
             if (ioiob.gt.0) then
@@ -136,5 +136,5 @@
                 if (n2i.gt.mx2) then
                   write (*,'(a,i3,2a)')  ' mklist> Molecule # '
-     #             ,nml,': too many atoms bound to ',nmat(iob)
+     &             ,nml,': too many atoms bound to ',nmat(iob)
                   stop
                 endif
@@ -150,27 +150,27 @@
           endif
 
-c ______ Atoms bound to 'ib' & in 2ND list(=are NOT in m.s of 'iv'):
-c                    exclude from 2ND list & put in list 'l1i'
+! ______ Atoms bound to 'ib' & in 2ND list(=are NOT in m.s of 'iv'):
+!                    exclude from 2ND list & put in list 'l1i'
           n1i=0
           do i=1,nbdat(ib)
             ibd=ibdat(i,ib)
             if (iowat(ibd).eq.ib.and.
-     #        quench(ibd,ibd,n2nd,mxh,l2nd1,l2nd2) ) then
+     &        quench(ibd,ibd,n2nd,mxh,l2nd1,l2nd2) ) then
               n1i=n1i+1
               if (n1i.gt.mxbd) then
                 write (*,'(a,i3,2a)')  ' mklist> Molecule # ',nml,
-     #             ': too many atoms bound to ',nmat(ib)
+     &             ': too many atoms bound to ',nmat(ib)
                 stop
               endif
               l1i(n1i)=ibd
-c _______ add atoms branching from 'l1i'-atoms to GENERAL list 1-4 partners
+! _______ add atoms branching from 'l1i'-atoms to GENERAL list 1-4 partners
               do j=1,nbdat(ibd)
                 jbd=ibdat(j,ibd)
                 if (iowat(jbd).eq.ibd.and.
-     #              quench(jbd,jbd,n2nd,mxh,l2nd1,l2nd2) ) then
+     &              quench(jbd,jbd,n2nd,mxh,l2nd1,l2nd2) ) then
                   n2i=n2i+1
                   if (n2i.gt.mx2) then
                     write (*,'(a,i3,2a)')  ' mklist> Molecule # ',nml,
-     #              ': too many atoms bound to branches of ',nmat(ib)
+     &              ': too many atoms bound to branches of ',nmat(ib)
                     stop
                   endif
@@ -180,6 +180,6 @@
             endif
           enddo
-c _____________________________ check for further '1-4' partners
-c                               belonging to moving set of base 'ib'
+! _____________________________ check for further '1-4' partners
+!                               belonging to moving set of base 'ib'
           im=ixmsat(ib)
           if (im.gt.0) then
@@ -189,5 +189,5 @@
                 if (n2i.gt.mx2) then
                   write (*,'(a,i3,a)')  ' mklist> Molecule # ',nml,
-     #            ': too many atoms n list L2I '
+     &            ': too many atoms n list L2I '
                   stop
                 endif
@@ -199,8 +199,8 @@
           do is=i1s,i2s
             do i=latms1(is),latms2(is)  ! ============= atoms in m.s of 'iv'
-c ________________________________________ Current 2ND list -> VdW-interact.
+! ________________________________________ Current 2ND list -> VdW-interact.
               if ((nvw+n2nd).gt.mxvw) then
                 write (*,'(a,i4,a,i5)') ' mklist> Molecule # ',nml,
-     #            ': Number of vdw-domains > ',mxvw
+     &            ': Number of vdw-domains > ',mxvw
                 stop
               endif
@@ -213,5 +213,5 @@
                 lvwat2(nvw)=l2nd2(j)
               enddo  ! ... vdW-domains
-c _________________________________________ General list of 1-4 partners
+! _________________________________________ General list of 1-4 partners
               if ((n14+n2i).gt.mx14) goto 1
               i14at1(i)=n14+1
@@ -221,6 +221,6 @@
                 l14at(n14)=l2i(j)
               enddo
-c __________________________________ Special cases of 1-4 interactions
-c                                    (list l1i, atoms iob,ib)
+! __________________________________ Special cases of 1-4 interactions
+!                                    (list l1i, atoms iob,ib)
               iow=iowat(i)
               if (iow.ne.ib) then
@@ -253,5 +253,5 @@
       nvwml(nml)=nvw-ivwml1(nml)+1
       n14ml(nml)=n14-i14ml1(nml)+1
-c _________________________________ some cleaning up
+! _________________________________ some cleaning up
       do i=ifiat,ilaat
         if (ivwat1(i).le.0) then
@@ -265,42 +265,42 @@
       enddo
 
-c ____________________________________________ Summary
-c      do i=ifiat,ilaat
-c        write (*,'(3a,i5,a)') ' ######## atom ',nmat(i),'(',i,')'
-c        iv1=ivwat1(i)
-c        iv2=ivwat2(i)
-c        if (iv1.le.iv2) then
-c          write(*,'(a)') ' ---> vdW :'
-c          do j=iv1,iv2
-c            write (*,'(i5,a,i5)') lvwat1(j),'-',lvwat2(j)
-c          enddo
-c        endif
-c        i41=i14at1(i)
-c        i42=i14at2(i)
-c        if (i41.le.i42) then
-c          write(*,'(a)') ' ---> 1-4 :'
-c          write(*,'(10i5)') (l14at(j),j=i41,i42)
-c        endif
-c      enddo
+! ____________________________________________ Summary
+!      do i=ifiat,ilaat
+!        write (*,'(3a,i5,a)') ' ######## atom ',nmat(i),'(',i,')'
+!        iv1=ivwat1(i)
+!        iv2=ivwat2(i)
+!        if (iv1.le.iv2) then
+!          write(*,'(a)') ' ---> vdW :'
+!          do j=iv1,iv2
+!            write (*,'(i5,a,i5)') lvwat1(j),'-',lvwat2(j)
+!          enddo
+!        endif
+!        i41=i14at1(i)
+!        i42=i14at2(i)
+!        if (i41.le.i42) then
+!          write(*,'(a)') ' ---> 1-4 :'
+!          write(*,'(10i5)') (l14at(j),j=i41,i42)
+!        endif
+!      enddo
 
       return
 
     1 write (*,'(a,i4,a,i5)') ' mklist> Molecule # ',nml,
-     #                     ': Number of 1-4 interactions > ',mx14
+     &                     ': Number of 1-4 interactions > ',mx14
       stop
       end
-c *********************************************
+! *********************************************
       logical function quench(i1,i2,n,mx,l1,l2)
 
-c ....................................................
-c PURPOSE:  Correct size/number (n) of index ranges
-c           given by lists 'l1' & 'l2' in order to
-c           EXCLUDE overlaps with range 'i1-i2'
-c
-c           quench = true, if any overlap was obtained
-c
-c CALLS: none
-c
-c ....................................................
+! ....................................................
+! PURPOSE:  Correct size/number (n) of index ranges
+!           given by lists 'l1' & 'l2' in order to
+!           EXCLUDE overlaps with range 'i1-i2'
+!
+!           quench = true, if any overlap was obtained
+!
+! CALLS: none
+!
+! ....................................................
 
       implicit integer*4 (i-n)
Index: mulcan_par.f
===================================================================
--- mulcan_par.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ mulcan_par.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -5,6 +5,6 @@
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
 !                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
 !
 ! **************************************************************
Index: mulcan_sim.f
===================================================================
--- mulcan_sim.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ mulcan_sim.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,24 +1,24 @@
-c **************************************************************
-c
-c This file contains the subroutines: mulcan_sim,muca_weight2
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: mulcan_sim,muca_weight2
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       subroutine  mulcan_sim
-C
-C PURPOSE: PERFORM A MULTICANONICAL SIMULATION
-C REQUIRES AS INPUT THE MULTICANONICAL PARAMETER AS CALCULATED
-C BY THE SUBROUTINE mulcan_par
-C
-c CALLS: addang, contacts,energy,metropolis
-c
+!
+! PURPOSE: PERFORM A MULTICANONICAL SIMULATION
+! REQUIRES AS INPUT THE MULTICANONICAL PARAMETER AS CALCULATED
+! BY THE SUBROUTINE mulcan_par
+!
+! CALLS: addang, contacts,energy,metropolis
+!
       include 'INCL.H'
 
-c     external rand
+!     external rand
       external muca_weight2
 
@@ -29,15 +29,15 @@
       parameter(nsweep=100000,nequi=100)
       Parameter(nsave=1000,nmes=10)
-C
-C     restart: .true. =  restart of simulation
-C              .false. = start of simulation with random configuration
-C     kmin,kmax: Range of multicanonical parameter
-C     ebin:      bin size for multicanonical parameter
-C     nequi: Number of sweeps for equilibrisation
-C     nsweep:  Number of sweeps for simulation run
-C     nsave:  Number of sweeps after which actual configuration is saved
-C             for re-starts
-C     nmes: Number of sweeps between measurments
-C
+!
+!     restart: .true. =  restart of simulation
+!              .false. = start of simulation with random configuration
+!     kmin,kmax: Range of multicanonical parameter
+!     ebin:      bin size for multicanonical parameter
+!     nequi: Number of sweeps for equilibrisation
+!     nsweep:  Number of sweeps for simulation run
+!     nsave:  Number of sweeps after which actual configuration is saved
+!             for re-starts
+!     nmes: Number of sweeps between measurments
+!
 
       dimension xhist(kmin:kmax),ihist(kmin:kmax)
@@ -45,11 +45,11 @@
 
  
-C FILE with last conformation (for re-starts)
+! FILE with last conformation (for re-starts)
       open(8,file='EXAMPLES/start.d')
-C File with contact map of reference configuration
+! File with contact map of reference configuration
       open(9,file='EXAMPLES/enkefa.ref')
-C File with multicanonical parameter
+! File with multicanonical parameter
       open(10,file='EXAMPLES/muca.d')
-C Result file: Time series of certain quantities
+! Result file: Time series of certain quantities
       open(11, file='EXAMPLES/time.d')
 
@@ -60,7 +60,7 @@
 
       nresi=irsml2(1)-irsml1(1) + 1
-c     nresi:  Number of residues
-
-C READ  REFERENCE CONTACT MAP
+!     nresi:  Number of residues
+
+! READ  REFERENCE CONTACT MAP
       nci = 0
       do i=1,nresi
@@ -74,9 +74,9 @@
       write(*,*) 'Number of contacts in reference conformation:',nci
 
-C READ IN FIELDS WITH MULTICANONICAL PARAMETER
+! READ IN FIELDS WITH MULTICANONICAL PARAMETER
       Do j=kmin,kmax
        read(10,*) i,b(i),alpha(i)
       end do
-C
+!
 
       if(restart) then
@@ -90,5 +90,5 @@
        write(*,*) 'Last iteration, energy:',nswm,eol_old
       else
-c _________________________________ random start
+! _________________________________ random start
        do i=1,nvr
         iv=idvr(i)  ! provides index of non-fixed variable
@@ -98,5 +98,5 @@
        enddo
       end if
-c
+!
       eol = energy()
       write (*,'(e12.5,/)')  eol
@@ -109,9 +109,9 @@
       end do
       write(*,*)
-C
+!
 
       
       if(.not.restart) then
-c =====================Equilibrization by  Metropolis
+! =====================Equilibrization by  Metropolis
        do nsw=1,nequi
         call metropolis(eol,acz,muca_weight2)
@@ -123,15 +123,15 @@
       end if
 
-C======================Simulation
+!======================Simulation
       acz = 0.0d0
-C LOOP OVER SWEEPS
+! LOOP OVER SWEEPS
       do nsw=nswm,nsweep
-C
-C METROPOLIS UPDATE
+!
+! METROPOLIS UPDATE
        call metropolis(eol,acz,muca_weight2)
        muold = min(kmax,max(kmin,int(eol/ebin+sign(0.5d0,eol))))
        ihist(muold) = ihist(muold) + 1
-C
-C  SAVE ACTUAL CONFORMATIONS FOR RE-STARTS:
+!
+!  SAVE ACTUAL CONFORMATIONS FOR RE-STARTS:
        if(mod(nsw,nsave).eq.0) then
         rewind 8
@@ -143,30 +143,30 @@
         end do
        end if
-C Measurements after NMES sweeps
+! Measurements after NMES sweeps
        if(mod(nsw,nmes).eq.0) then
-C Take a histogram of energy
+! Take a histogram of energy
         do i=kmin,kmax
          xhist(i) = xhist(i) + ihist(i)
          ihist(i) = 0
         end do
-c Calculate contacts in actual configuartion and compare with reference
-C configuration
-c       call contacts(nhx,nhy,dham)
-C nhx : Number of contcats in actual conformation
-C nhy : Number of contacts which are identical in actual and reference 
-C       configuration
-C dham:  Hamming distance between actual and reference configuration      
-C
+! Calculate contacts in actual configuartion and compare with reference
+! configuration
+!       call contacts(nhx,nhy,dham)
+! nhx : Number of contcats in actual conformation
+! nhy : Number of contacts which are identical in actual and reference 
+!       configuration
+! dham:  Hamming distance between actual and reference configuration      
+!
         write(11,'(i7,f12.2,2i8,f12.4)')  nsw,eol,nhx,nhy,dham
        end if
       end do
-C END OF SIMULATION
-
-C FINAL OUTPUT:
+! END OF SIMULATION
+
+! FINAL OUTPUT:
       acz = acz/dble(nsw*nvr)
       write(*,*) 'last energy',eol
       write(*,*) 'aczeptance rate:',acz
 
-C WRITE DOWN (UN-REWEIGHTED) HISTOGRAM OF MULTICANONICAL SIMULATION
+! WRITE DOWN (UN-REWEIGHTED) HISTOGRAM OF MULTICANONICAL SIMULATION
       do i=kmin,kmax
        if(xhist(i).gt.0.0d0) then
@@ -174,5 +174,5 @@
        end if
       end do
-c =====================
+! =====================
       close(8)
       close(9)
@@ -183,5 +183,5 @@
       end
 
-c ************************************************************
+! ************************************************************
       real*8 function muca_weight2(x)
 
Index: nursvr.f
===================================================================
--- nursvr.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ nursvr.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,20 +1,20 @@
-c**************************************************************
-c
-c This file contains the subroutines: nursvr, nursat
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+!**************************************************************
+!
+! This file contains the subroutines: nursvr, nursat
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
       integer*4 function nursvr(ivr)
 
-c ...........................................................
-c  PURPOSE: defines index of residue for given variable 'ivr'
-c
-c  CALLS: none
-c
-c ...........................................................
+! ...........................................................
+!  PURPOSE: defines index of residue for given variable 'ivr'
+!
+!  CALLS: none
+!
+! ...........................................................
       include 'INCL.H'
 
@@ -36,10 +36,10 @@
       end
 
-c **********************************
+! **********************************
       integer*4 function nursat(iat)
 
-c .......................................................
-c  PURPOSE: defines index of residue for given atom 'iat'
-c .......................................................
+! .......................................................
+!  PURPOSE: defines index of residue for given atom 'iat'
+! .......................................................
 
       include 'INCL.H'
Index: opeflx.f
===================================================================
--- opeflx.f	(revision 2ebb8b629686fca2f81260a5ca88a8e21e0c1572)
+++ opeflx.f	(revision bd2278d6d1ff11d5a913fabac7fcc16d05c02a33)
@@ -1,34 +1,34 @@
-c **************************************************************
-c
-c This file contains the subroutines: opeflx,gdtflx
-c
-c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-c                      Shura Hayryan, Chin-Ku 
-c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-c                      Jan H. Meinke, Sandipan Mohanty
-c
-c **************************************************************
+! **************************************************************
+!
+! This file contains the subroutines: opeflx,gdtflx
+!
+! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+!                      Shura Hayryan, Chin-Ku 
+! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+!                      Jan H. Meinke, Sandipan Mohanty
+!
+! **************************************************************
 
       subroutine opeflx(nml)
 
-c ......................................................................
-c PURPOSE: Calculate internal energy for FLEX dataset and its partial
-c          derivatives vs. variables using recursive algorithm from:
-c          Noguti T, Go N, J Phys Soc (Japan) v52 3685-3690 1984; Abe H,
-c          Braun W, Noguti T, Go N, Comp Chem v8 239-247 1984; Mazur A K,
-c          Abagyan R A, J Biomol Struct Dyn v6 815-832, which I modified
-c          for atomic forces instead of simple derivatives (see Lavery R,
-c          Sklenar H, Zakrzewska K, Pullman B, J Biomol Struct Dyn v3
-c          989-1014 1986)
-c
-c CALLS:   gdtflx
-c ......................................................................
+! ......................................................................
+! PURPOSE: Calculate internal energy for FLEX dataset and its partial
+!          derivatives vs. variables using recursive algorithm from:
+!          Noguti T, Go N, J Phys Soc (Japan) v52 3685-3690 1984; Abe H,
+!          Braun W, Noguti T, Go N, Comp Chem v8 239-247 1984; Mazur A K,
+!          Abagyan R A, J Biomol Struct Dyn v6 815-832, which I modified
+!          for atomic forces instead of simple derivatives (see Lavery R,
+!          Sklenar H, Zakrzewska K, Pullman B, J Biomol Struct Dyn v3
+!          989-1014 1986)
+!
+! CALLS:   gdtflx
+! ......................................................................
 
       include 'INCL.H'
 
       dimension xfat(mxat),yfat(mxat),zfat(mxat),
-     #          xtat(mxat),ytat(mxat),ztat(mxat),
-     #          xfvr(mxvr),yfvr(mxvr),zfvr(mxvr),
-     #          xfrvr(mxvr),yfrvr(mxvr),zfrvr(mxvr)
+     &          xtat(mxat),ytat(mxat),ztat(mxat),
+     &          xfvr(mxvr),yfvr(mxvr),zfvr(mxvr),
+     &          xfrvr(mxvr),yfrvr(mxvr),zfrvr(mxvr)
 
 
@@ -42,5 +42,5 @@
       if (ntlvr.eq.0) then
         write (*,'(a,i4)')
-     #           ' opeflx> No variables defined in molecule #',nml
+     &           ' opeflx> No variables defined in molecule #',nml
         return
       endif
@@ -117,5 +117,5 @@
         endif
 
-c ============================================ Energies & Atomic forces
+! ============================================ Energies & Atomic forces
 
         xfiv=0.d0
@@ -249,5 +249,5 @@
                     yfji=yfji+ dhb*py+ hhb*yij
                     zfji=zfji+ dhb*pz+ hhb*zij
-c __________________________________________________ No Hydrogen Bond
+! __________________________________________________ No Hydrogen Bond
                   else
                     eyvw=eyvw+eyrp-eyds
@@ -365,5 +365,5 @@
                   yfji=yfji+ dhb*py+ hhb*yij
                   zfji=zfji+ dhb*pz+ hhb*zij
-c __________________________________________________ No Hydrogen Bond
+! __________________________________________________ No Hydrogen Bond
                 else
                   eyvw=eyvw+eyrp-eyds
@@ -424,6 +424,6 @@
 
           gdeyvr(iv)= (ey*zb-ez*yb)*xfiv+(ez*xb-ex*zb)*yfiv+
-     #                (ex*yb-ey*xb)*zfiv
-     #               +ex*xfriv+ey*yfriv+ez*zfriv -fvr
+     &                (ex*yb-ey*xb)*zfiv
+     &               +ex*xfriv+ey*yfriv+ez*zfriv -fvr
 
         elseif (it.eq.1) then         ! b.length
@@ -441,14 +441,14 @@
       return
       end
-c *****************************
+! *****************************
       subroutine gdtflx(nml,iv)
 
-c .....................................................................
-c PURPOSE: calculate partial derivative of internal energy for molecule
-c          'nml' vs. variable 'iv' NUMERICALLY and compare with
-c          its value obtained analytically
-c
-c CALLS:  setvar, enyflx
-c .....................................................................
+! .....................................................................
+! PURPOSE: calculate partial derivative of internal energy for molecule
+!          'nml' vs. variable 'iv' NUMERICALLY and compare with
+!          its value obtained analytically
+!
+! CALLS:  setvar, enyflx
+! .....................................................................
 
       include 'INCL.H'
@@ -458,5 +458,5 @@
       dimension vlvrx(mxvr)
 
-c ____________________________ get & save values of variables
+! ____________________________ get & save values of variables
       do i=1,ivrml1(ntlml)+nvrml(ntlml)-1
         it=ityvr(i)  ! type
@@ -481,7 +481,7 @@
 
       write (*,'(1x,2a,2(e12.6,a))') nmvr(iv),': ',gda,' (',
-     #       abs(gda-gdn),')'
-
-c _________________________ restore
+     &       abs(gda-gdn),')'
+
+! _________________________ restore
       vlvrx(iv)=ovr
       call setvar(nml,vlvrx)
